Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.solvers
Class UnivariateRealSolverUtils.LazyHolder

    java.lang.Object
      org.apache.commons.math.analysis.solvers.UnivariateRealSolverUtils.LazyHolder

Enclosing class:
  UnivariateRealSolverUtils

    private static class UnivariateRealSolverUtils.LazyHolder

extends Object

Holder for the factory.

We use here the Initialization On Demand Holder Idiom.

Field Summary
`private static UnivariateRealSolverFactory` | `FACTORY` Cached solver factory

Constructor Summary
`private` | `UnivariateRealSolverUtils.LazyHolder()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORY

    private static final UnivariateRealSolverFactory FACTORY

  Cached solver factory

Constructor Detail

### UnivariateRealSolverUtils.LazyHolder

    private UnivariateRealSolverUtils.LazyHolder()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation